"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dom_1 = require("@cycle/dom");
const hyperx = require(`hyperx`);
/**
 * Returns a {@code VNode} tree representing the given HTML string.
 *
 * This is but a wrapper around hyperx to adjust its attrs for snabbdom, where snabbdom uses
 * various modules (`class`, `props`, `attrs`, and `style`) instead of a single attrs object.
 */
const html = hyperx((tag, attrs, children) => {
    const attributes = Object.assign({}, { attrs });
    if (attrs.className && typeof attrs.className == `string`) {
        const klass = {};
        attrs.className.split(' ').map((className) => klass[className] = true);
        attributes['class'] = klass;
        delete attributes['attrs']['className'];
    }
    if (children) {
        return dom_1.h(tag, attributes, children.reduce((acc, val) => acc.concat(Array.isArray(val) ? val : [val]), []));
    }
    return dom_1.h(tag, attributes);
});
exports.html = html;
